# Contacts

## GET /users/{user-id}/contacts/emails

> Get a user's emails

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/emails":{"get":{"tags":["Contacts"],"summary":"Get a user's emails","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContactEmail"}}}}}}}}}}
```

## POST /users/{user-id}/contacts/emails

> Create a new email

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactEmailPost":{"type":"object","properties":{"target":{"type":"string"}}},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/emails":{"post":{"tags":["Contacts"],"summary":"Create a new email","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmailPost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmail"}}}}}}}}}
```

## GET /users/{user-id}/contacts/emails/{id}

> Get a specific email

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/emails/{id}":{"get":{"tags":["Contacts"],"summary":"Get a specific email","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmail"}}}}}}}}}
```

## PUT /users/{user-id}/contacts/emails/{id}

> Update a user's email

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactEmailPost":{"type":"object","properties":{"target":{"type":"string"}}},"ContactEmail":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"target":{"type":"string"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/emails/{id}":{"put":{"tags":["Contacts"],"summary":"Update a user's email","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmailPost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactEmail"}}}}}}}}}
```

## DELETE /users/{user-id}/contacts/emails/{id}

> Delete the user's specified email

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/contacts/emails/{id}":{"delete":{"tags":["Contacts"],"summary":"Delete the user's specified email","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```

## GET /users/{user-id}/contacts/phone-numbers

> Get a user's phone numbers

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/phone-numbers":{"get":{"tags":["Contacts"],"summary":"Get a user's phone numbers","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ContactPhoneNumber"}}}}}}}}}}
```

## POST /users/{user-id}/contacts/phone-numbers

> Create a phone number

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactPhoneNumberPost":{"type":"object","properties":{"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/phone-numbers":{"post":{"tags":["Contacts"],"summary":"Create a phone number","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactPhoneNumberPost"}}},"required":true},"responses":{"201":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactPhoneNumber"}}}}}}}}}
```

## GET /users/{user-id}/contacts/phone-numbers/{id}

> Get specific phone number

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/phone-numbers/{id}":{"get":{"tags":["Contacts"],"summary":"Get specific phone number","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactPhoneNumber"}}}}}}}}}
```

## PUT /users/{user-id}/contacts/phone-numbers/{id}

> Update a user's phone number

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}},"schemas":{"ContactPhoneNumberPost":{"type":"object","properties":{"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"}}},"ContactPhoneNumber":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"regionCode":{"type":"string"},"target":{"type":"string"},"primary":{"type":"boolean","description":"May only be enabled for a single phone number contact at a time"},"status":{"$ref":"#/components/schemas/ContactStatus"}}},"ContactStatus":{"type":"string","enum":["OK","LOCKED","BLACKLISTED"]}}},"paths":{"/users/{user-id}/contacts/phone-numbers/{id}":{"put":{"tags":["Contacts"],"summary":"Update a user's phone number","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactPhoneNumberPost"}}},"required":false},"responses":{"200":{"description":"the response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContactPhoneNumber"}}}}}}}}}
```

## DELETE /users/{user-id}/contacts/phone-numbers/{id}

> Delete the user's specified phone number

```json
{"openapi":"3.0.1","info":{"title":"ilert REST API","version":"v2.2026.5-r.3"},"tags":[{"name":"Contacts"}],"servers":[{"url":"/api"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","description":"The Bearer API key of your user <a href='/api-docs/#section/Authentication'>more info</a>.","name":"Authorization","in":"header"}}},"paths":{"/users/{user-id}/contacts/phone-numbers/{id}":{"delete":{"tags":["Contacts"],"summary":"Delete the user's specified phone number","parameters":[{"name":"user-id","in":"path","description":"numeric user id","required":true,"schema":{"type":"string"}},{"name":"id","in":"path","description":"entity ID","required":true,"schema":{"type":"number"}}],"responses":{"204":{"description":"if deletion was successful","content":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ilert.com/developer-docs/rest-api/api-reference/contacts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
